svn commit: samba r21689 - in branches/SAMBA_4_0/source/script/tests: .

abartlet at samba.org abartlet at samba.org
Sun Mar 4 23:55:44 GMT 2007


Author: abartlet
Date: 2007-03-04 23:55:43 +0000 (Sun, 04 Mar 2007)
New Revision: 21689

WebSVN: http://websvn.samba.org/cgi-bin/viewcvs.cgi?view=rev&root=samba&rev=21689

Log:
Try to walk a bit more of the param/loadparm.c functions, as well as
validating that we have a correct configuration before we even start
testing.

Andrew Bartlett

Modified:
   branches/SAMBA_4_0/source/script/tests/mktestsetup.sh


Changeset:
Modified: branches/SAMBA_4_0/source/script/tests/mktestsetup.sh
===================================================================
--- branches/SAMBA_4_0/source/script/tests/mktestsetup.sh	2007-03-04 22:36:41 UTC (rev 21688)
+++ branches/SAMBA_4_0/source/script/tests/mktestsetup.sh	2007-03-04 23:55:43 UTC (rev 21689)
@@ -130,9 +130,8 @@
 	ntvfs handler = simple
 
 [cifsposixtestshare]
-	read only = no
+	copy = simple
 	ntvfs handler = cifsposix   
-	path = $TMPDIR
 EOF
 
 ## Override default share.ldb file
@@ -244,6 +243,21 @@
 
 . `dirname $0`/mk-keyblobs.sh
 
+#Ensure the config file is valid before we start
+$srcdir/bin/testparm $CONFIGURATION -v --suppress-prompt >/dev/null 2>&1 || {
+    echo "">&2
+    echo "Failed to create configuration!" >&2
+    $srcdir/bin/testparm $CONFIGURATION  >&2
+    exit 1
+}
+
+( $srcdir/bin/testparm $CONFIGURATION -v --suppress-prompt --parameter-name="netbios name" --section-name=global 2> /dev/null | grep -i ^$NETBIOSNAME ) >/dev/null 2>&1 || {
+    echo "$?" >&2
+    $srcdir/bin/testparm $CONFIGURATION -v --suppress-prompt --parameter-name="netbios name" --section-name=global --suppress-prompt 2> /dev/null | grep -i ^$NETBIOSNAME >&2
+    echo "Failed to create configuration!" >&2
+    exit 1
+}
+
 PROVISION_OPTIONS="$CONFIGURATION --host-name=$NETBIOSNAME --host-ip=127.0.0.1"
 PROVISION_OPTIONS="$PROVISION_OPTIONS --quiet --domain $DOMAIN --realm $REALM"
 PROVISION_OPTIONS="$PROVISION_OPTIONS --adminpass $PASSWORD --root=$ROOT"



More information about the samba-cvs mailing list